Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 149191 - missing symbolic link to libdb_cxx.so
Summary: missing symbolic link to libdb_cxx.so
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: db4
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 225173
TreeView+ depends on / blocked
 
Reported: 2005-02-20 17:36 UTC by Stephen Beahm
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version: 4.3.27-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-02-21 06:01:23 UTC


Attachments (Terms of Use)

Description Stephen Beahm 2005-02-20 17:36:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
db4-devel has a missing symbolic link from libdb_cxx.so to
../../lib/libdb-4.?.so

Rawhide package db4-devel-4.3.27-1.i386.rpm is also missing the symlink.

Thanks,

Version-Release number of selected component (if applicable):
db4-devel-4.2.52-6

How reproducible:
Always

Steps to Reproduce:
1. try building klibido (for example)
2.
3.


Actual Results:  klibido build cannot find libdb_cxx.so

Additional info:

Comment 1 Jeff Johnson 2005-02-21 06:01:23 UTC
The file /usr/lib/libdb_cxx-4.2.so is in the db4 package:

$ rpm -qf /usr/lib/libdb_cxx-4.2.so
db4-4.2.52-6.i386.rpm

Specify -ldb_cxx-4.2 on the linkage line to specify
the version of libdb_cxx that is desired. The Berkeley
DB is version specific, and can/will change between
versions, so it is not wise to link against a symlink
for libdb_cxx.so.

Comment 2 Bernard Normier 2005-03-03 16:17:19 UTC
The libdb_cxx.so (like any simple .so) should never be used for
runtime linking. Don't include it in the runtime (db4) package, but
please put it back in the db4-devel RPM.

When you build an application [not run it], such symbolic link is very
useful. Berkeley DB is mostly source compatible from versions to
version. It's very easy to write a package that works with 4.1, 4.2,
4.3, but if you don't provide this lib_cxx.so symbolic link (for
link-time when you build the application), you force a specific
version into the makefiles. Quite unfortunate!

Thanks,
Bernard

Comment 3 Philippe Rigault 2005-03-10 14:39:48 UTC
> Specify -ldb_cxx-4.2 on the linkage line to specify 
> the version of libdb_cxx that is desired. 
No, this is not the correct way (and Bernard is exactly right, one wants to be 
forward compatible when building an app). 
Besides, this is inconsistent with what is done (correctly) for libdb in the 
same package: 
 
$ ls -l /usr/lib/libdb.so 
lrwxrwxrwx  1 root root 22 Dec  7 14:53 /usr/lib/libdb.so 
-> ../../lib/libdb-4.2.so 
$ rpm -qf /usr/lib/libdb.so 
db4-devel-4.2.52-6 
 
Please do the same with libdb_cxx, that would be both correct and consistent. 
 
 
 

Comment 4 Bill Nottingham 2005-04-25 20:02:20 UTC
Added in -3.

Comment 5 Aleksey Nogin 2007-01-26 23:55:15 UTC
This problem still exists in db4-devel-4.2.52-7.1 in EL 4. Should I file a
separate bug on that?

Comment 6 Bill Nottingham 2007-01-27 02:25:28 UTC
You can, yes.


Note You need to log in before you can comment on or make changes to this bug.